function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Tables","2");
A=P.fN("Preface","3");
var B=A.fN("Changes from the Previous Release of this Guide","4");
B=A.fN("Related Documentation","5");
var C=B.fN("TIBCO Enterprise Message Service Documentation","5#34970");
C=B.fN("Other TIBCO Product Documentation","5#35009");
C=B.fN("Third Party Documentation","5#35024");
B=A.fN("Typographical Conventions","6");
B=A.fN("How to Contact TIBCO Customer Support","7");
A=P.fN("Chapter\u00a01 Introduction","8");
B=A.fN("Overview","9");
B=A.fN("Excluded Features and Restrictions","10");
B=A.fN("Naming Conventions and Length Limitations","11");
B=A.fN("Strings and Character Encodings","12");
C=B.fN("IBM Mainframe\u2014COBOL and C","12#3094754");
B=A.fN("Configuring C and COBOL Clients for Fault-Tolerant Connections","13");
A=P.fN("Chapter\u00a02 Messages","14");
B=A.fN("Parts of a Message","15");
B=A.fN("Body Types","16");
B=A.fN("Headers","17");
B=A.fN("Properties","18");
C=B.fN("Setting Message Properties","18#1839637");
C=B.fN("EMS Properties","18#1839648");
C=B.fN("JMS Properties","18#3106357");
B=A.fN("Message Selectors","19");
B=A.fN("Data Type Conversion","20");
B=A.fN("tibemsMsg","21");
C=B.fN("tibemsMsg_Acknowledge","21#1830767");
C=B.fN("tibemsMsg_ClearBody","21#1830823");
C=B.fN("tibemsMsg_ClearProperties","21#1830840");
C=B.fN("tibemsMsg_Create","21#2184909");
C=B.fN("tibemsMsg_CreateCopy","21#2135552");
C=B.fN("tibemsMsg_CreateFromBytes","21#2166752");
C=B.fN("tibemsMsg_Destroy","21#2155402");
C=B.fN("tibemsMsg_GetAsBytes","21#2157312");
C=B.fN("tibemsMsg_GetAsBytesCopy","21#2157791");
C=B.fN("tibemsMsg_GetBodyType","21#2186287");
C=B.fN("tibemsMsg_GetByteSize","21#2192149");
C=B.fN("tibemsMsg_GetCorrelationID","21#2197721");
C=B.fN("tibemsMsg_GetDeliveryMode","21#2161344");
C=B.fN("tibemsMsg_GetDestination","21#2198105");
C=B.fN("tibemsMsg_GetEncoding","21#2201639");
C=B.fN("tibemsMsg_GetExpiration","21#2203128");
C=B.fN("tibemsMsg_GetMessageID","21#2204775");
C=B.fN("tibemsMsg_GetPriority","21#2204785");
C=B.fN("tibemsMsg_Get Property","21#3389594");
C=B.fN("tibemsMsg_GetPropertyNames","21#2211937");
C=B.fN("tibemsMsg_GetRedelivered","21#2213110");
C=B.fN("tibemsMsg_GetReplyTo","21#2250045");
C=B.fN("tibemsMsg_GetTimestamp","21#2213492");
C=B.fN("tibemsMsg_GetType","21#2250351");
C=B.fN("tibemsMsg_MakeWriteable","21#2253155");
C=B.fN("tibemsMsg_Print","21#2215059");
C=B.fN("tibemsMsg_PrintToBuffer","21#3372448");
C=B.fN("tibemsMsg_PropertyExists","21#1831049");
C=B.fN("tibemsMsg_Recover","21#4323437");
C=B.fN("tibemsMsg_SetCorrelationID","21#2216514");
C=B.fN("tibemsMsg_SetDeliveryMode","21#2216602");
C=B.fN("tibemsMsg_SetDestination","21#2216688");
C=B.fN("tibemsMsg_SetEncoding","21#2216731");
C=B.fN("tibemsMsg_SetExpiration","21#2216775");
C=B.fN("tibemsMsg_SetMessageID","21#2216817");
C=B.fN("tibemsMsg_SetPriority","21#2216864");
C=B.fN("tibemsMsg_Set Property","21#3398072");
C=B.fN("tibemsMsg_SetRedelivered","21#3400608");
C=B.fN("tibemsMsg_SetReplyTo","21#2242903");
C=B.fN("tibemsMsg_SetTimestamp","21#2217154");
C=B.fN("tibemsMsg_SetType","21#2254574");
B=A.fN("tibemsBytesMsg","22");
C=B.fN("tibemsBytesMsg_Create","22#2259467");
C=B.fN("tibemsBytesMsg_GetBodyLength","22#2261830");
C=B.fN("tibemsBytesMsg_GetBytes","22#2262154");
C=B.fN("tibemsBytesMsg_Read","22#1853063");
C=B.fN("tibemsBytesMsg_ReadBytes","22#2086290");
C=B.fN("tibemsBytesMsg_Reset","22#1734489");
C=B.fN("tibemsBytesMsg_SetBytes","22#2267228");
C=B.fN("tibemsBytesMsg_Write","22#2851612");
C=B.fN("tibemsBytesMsg_WriteBytes","22#2275770");
B=A.fN("tibemsMapMsg","23");
C=B.fN("tibemsMapMsg_Create","23#2342118");
C=B.fN("tibemsMapMsg_Get","23#1760106");
C=B.fN("tibemsMapMsg_GetMapNames","23#2344473");
C=B.fN("tibemsMapMsg_ItemExists","23#2086325");
C=B.fN("tibemsMapMsg\u2014Set","23#1759007");
C=B.fN("tibemsMapMsg_SetBytes","23#2634654");
B=A.fN("tibemsObjectMsg","24");
C=B.fN("tibemsObjectMsg_Create","24#2014887");
C=B.fN("tibemsObjectMsg_GetObjectBytes","24#2356628");
C=B.fN("tibemsObjectMsg_SetObjectBytes","24#2357803");
B=A.fN("tibemsStreamMsg","25");
C=B.fN("tibemsStreamMsg_Create","25#2358088");
C=B.fN("tibemsStreamMsg_FreeField","25#2359338");
C=B.fN("tibemsStreamMsg_Read","25#1765519");
C=B.fN("tibemsStreamMsg_ReadBytes","25#1765632");
C=B.fN("tibemsStreamMsg_ReadField","25#2378898");
C=B.fN("tibemsStreamMsg_Reset","25#2050944");
C=B.fN("tibemsStreamMsg_Write","25#1768346");
C=B.fN("tibemsStreamMsg_WriteBytes","25#2396124");
B=A.fN("tibemsTextMsg","26");
C=B.fN("tibemsTextMsg_Create","26#2015044");
C=B.fN("tibemsTextMsg_GetText","26#2412177");
C=B.fN("tibemsTextMsg_SetText","26#2412220");
B=A.fN("tibemsData","27");
B=A.fN("tibemsDeliveryMode","28");
B=A.fN("tibemsNpCheckMode","29");
B=A.fN("tibemsMsgEnum","30");
C=B.fN("tibemsMsgEnum_Destroy","30#2605609");
C=B.fN("tibemsMsgEnum_GetNextName","30#2605636");
B=A.fN("tibemsMsgField","31");
C=B.fN("tibemsMsgField_Print","31#2617841");
C=B.fN("tibemsMsgField_PrintToBuffer","31#3432933");
B=A.fN("tibemsMsgType","32");
A=P.fN("Chapter\u00a03 Destination","33");
B=A.fN("Destination Overview","34");
B=A.fN("tibemsDestinationType","35");
B=A.fN("tibemsDestination","36");
C=B.fN("tibemsDestination_Copy","36#2764600");
C=B.fN("tibemsDestination_Create","36#2414695");
C=B.fN("tibemsDestination_Destroy","36#2414762");
C=B.fN("tibemsDestination_GetName","36#2415751");
C=B.fN("tibemsDestination_GetType","36#2415956");
B=A.fN("tibemsQueue","37");
C=B.fN("tibemsQueue_Create","37#2810784");
C=B.fN("tibemsQueue_Destroy","37#2417284");
C=B.fN("tibemsQueue_GetQueueName","37#2417383");
B=A.fN("tibemsTemporaryQueue","38");
B=A.fN("tibemsTemporaryTopic","39");
B=A.fN("tibemsTopic","40");
C=B.fN("tibemsTopic_Create","40#1931391");
C=B.fN("tibemsTopic_Destroy","40#2418670");
C=B.fN("tibemsTopic_GetTopicName","40#2418815");
A=P.fN("Chapter\u00a04 Consumer","41");
B=A.fN("tibemsMsgConsumer","42");
C=B.fN("tibemsMsgConsumer_Close","42#2423727");
C=B.fN("tibemsMsgConsumer_GetDestination","42#3917901");
C=B.fN("tibemsMsgConsumer_GetMsgListener","42#1886079");
C=B.fN("tibemsMsgConsumer_GetMsgSelector","42#2424758");
C=B.fN("tibemsMsgConsumer_GetNoLocal","42#3920053");
C=B.fN("tibemsMsgConsumer_Receive","42#1886257");
C=B.fN("tibemsMsgConsumer_ReceiveNoWait","42#2425827");
C=B.fN("tibemsMsgConsumer_ReceiveTimeout","42#2428661");
C=B.fN("tibemsMsgConsumer_SetMsgListener","42#2429622");
B=A.fN("tibemsMsgCallback","43");
A=P.fN("Chapter\u00a05 Producer","44");
B=A.fN("tibemsMsgProducer","45");
C=B.fN("tibemsMsgProducer_Close","45#1895767");
C=B.fN("tibemsMsgProducer_GetDeliveryMode","45#2432221");
C=B.fN("tibemsMsgProducer_GetDestination","45#3916081");
C=B.fN("tibemsMsgProducer_GetDisableMessageID","45#2435792");
C=B.fN("tibemsMsgProducer_GetDisableMessageTimestamp","45#2436679");
C=B.fN("tibemsMsgProducer_GetNPSendCheckMode","45#3318212");
C=B.fN("tibemsMsgProducer_GetPriority","45#2436832");
C=B.fN("tibemsMsgProducer_GetTimeToLive","45#2437674");
C=B.fN("tibemsMsgProducer_Send","45#1895786");
C=B.fN("tibemsMsgProducer_SetDeliveryMode","45#2438182");
C=B.fN("tibemsMsgProducer_SetDisableMessageID","45#2438216");
C=B.fN("tibemsMsgProducer_SetDisableMessageTimestamp","45#2438246");
C=B.fN("tibemsMsgProducer_SetNPSendCheckMode","45#3303794");
C=B.fN("tibemsMsgProducer_SetPriority","45#2438276");
C=B.fN("tibemsMsgProducer_SetTimeToLive","45#2438307");
A=P.fN("Chapter\u00a06 Requestor","46");
B=A.fN("tibemsMsgRequestor","47");
C=B.fN("tibemsMsgRequestor_Close","47#2451528");
C=B.fN("tibemsMsgRequestor_Create","47#3918323");
C=B.fN("tibemsMsgRequestor_Request","47#2451663");
A=P.fN("Chapter\u00a07 Connection","48");
B=A.fN("tibemsConnection","49");
C=B.fN("tibemsConnection_Close","49#1899612");
C=B.fN("tibemsConnection_Create","49#2461539");
C=B.fN("tibemsConnection_CreateSession","49#2051023");
C=B.fN("tibemsConnection_GetActiveURL","49#2466599");
C=B.fN("tibemsConnection_GetClientId","49#2467344");
C=B.fN("tibemsConnection_GetExceptionListener","49#2468236");
C=B.fN("tibemsConnection_GetMetaData","49#3506220");
C=B.fN("tibemsConnection_IsDisconnected","49#4173330");
C=B.fN("tibemsConnection_SetClientId","49#2469639");
C=B.fN("tibemsConnection_SetExceptionListener","49#2468452");
C=B.fN("tibemsConnection_Start","49#2051040");
C=B.fN("tibemsConnection_Stop","49#2051057");
B=A.fN("tibemsConnectionMetaData","50");
C=B.fN("tibemsConnectionMetaData_GetEMS","50#3592230");
C=B.fN("tibemsConnectionMetaData_GetProvider","50#3592233");
C=B.fN("tibemsConnectionMetaData_GetEMSProviderName","50#3590553");
B=A.fN("tibemsExceptionCallback","51");
B=A.fN("tibemsMulticastExceptionCallback","52");
B=A.fN("tibemsSSL","53");
C=B.fN("tibemsSSL_GetTrace","53#2662039");
C=B.fN("tibemsSSL_OpenSSLVersion","53#2663306");
C=B.fN("tibemsSSL_SetTrace","53#2664191");
B=A.fN("tibemsSSLParams","54");
C=B.fN("tibemsSSLParams_AddIssuerCert","54#2659540");
C=B.fN("tibemsSSLParams_AddTrustedCert","54#2659604");
C=B.fN("tibemsSSLParams_Create","54#2659668");
C=B.fN("tibemsSSLParams_Destroy","54#2659678");
C=B.fN("tibemsSSLParams_GetIdentity","54#2659699");
C=B.fN("tibemsSSLParams_GetPrivateKey","54#2659745");
C=B.fN("tibemsSSLParams_SetAuthOnly","54#3450625");
C=B.fN("tibemsSSLParams_SetCiphers","54#2659827");
C=B.fN("tibemsSSLParams_SetExpectedHostName","54#3450728");
C=B.fN("tibemsSSLParams_SetHostNameVerifier","54#2659963");
C=B.fN("tibemsSSLParams_SetIdentity","54#2660007");
C=B.fN("tibemsSSLParams_SetPrivateKey","54#2660065");
C=B.fN("tibemsSSLParams_SetRandData","54#2660123");
C=B.fN("tibemsSSLParams_SetVerifyHost","54#2660260");
B=A.fN("tibemsSSLHostNameVerifier","55");
A=P.fN("Chapter\u00a08 Connection Factory","56");
B=A.fN("tibemsConnectionFactory","57");
C=B.fN("tibemsConnectionFactory_Create","57#1907566");
C=B.fN("tibemsConnectionFactory_CreateConnection","57#1907624");
C=B.fN("tibemsConnectionFactory_CreateXAConnection","57#3921971");
C=B.fN("tibemsConnectionFactory_Destroy","57#2498560");
C=B.fN("tibemsConnectionFactory_GetSSLProxyHost","57#3122461");
C=B.fN("tibemsConnectionFactory_GetSSLProxyPort","57#3123930");
C=B.fN("tibemsConnectionFactory_GetSSLProxyUser","57#3124929");
C=B.fN("tibemsConnectionFactory_GetSSLProxyPassword","57#3125107");
C=B.fN("tibemsConnectionFactory_Print","57#3365673");
C=B.fN("tibemsConnectionFactory_SetClientID","57#3365676");
C=B.fN("tibemsConnectionFactory_SetConnectAttemptCount","57#2500323");
C=B.fN("tibemsConnectionFactory_SetConnectAttemptDelay","57#2501044");
C=B.fN("tibemsConnectionFactory_SetConnectAttemptTimeout","57#4343921");
C=B.fN("tibemsConnectionFactory_SetMetric","57#2501281");
C=B.fN("tibemsConnectionFactory_SetMulticastDaemon","57#3900923");
C=B.fN("tibemsConnectionFactory_SetMulticastEnabled","57#3901890");
C=B.fN("tibemsConnectionFactory_SetPkPassword","57#3295422");
C=B.fN("tibemsConnectionFactory_SetReconnectAttemptCount","57#2502038");
C=B.fN("tibemsConnectionFactory_SetReconnectAttemptDelay","57#2502071");
C=B.fN("tibemsConnectionFactory_SetReconnectAttemptTimeout","57#3287870");
C=B.fN("tibemsConnectionFactory_SetServerURL","57#2502807");
C=B.fN("tibemsConnectionFactory_SetSSLParams","57#2503608");
C=B.fN("tibemsConnectionFactory_SetSSLProxy","57#3117474");
C=B.fN("tibemsConnectionFactory_SetSSLProxyAuth","57#3118621");
C=B.fN("tibemsConnectionFactory_SetUserName","57#4164630");
C=B.fN("tibemsConnectionFactory_SetUserPassword","57#4171795");
B=A.fN("tibemsFactoryLoadBalanceMetric","58");
A=P.fN("Chapter\u00a09 Session","59");
B=A.fN("tibemsSession","60");
C=B.fN("tibemsSession_Close","60#1917969");
C=B.fN("tibemsSession_Commit","60#2512546");
C=B.fN("tibemsSession_CreateBrowser","60#1918491");
C=B.fN("tibemsSession_CreateBytesMessage","60#1919906");
C=B.fN("tibemsSession_CreateConsumer","60#2514639");
C=B.fN("tibemsSession_CreateDurableSubscriber","60#1920214");
C=B.fN("tibemsSession_CreateMapMessage","60#1920176");
C=B.fN("tibemsSession_CreateMessage","60#2515496");
C=B.fN("tibemsSession_CreateProducer","60#1921780");
C=B.fN("tibemsSession_CreateStreamMessage","60#1922175");
C=B.fN("tibemsSession_CreateTemporaryQueue","60#2051125");
C=B.fN("tibemsSession_CreateTemporaryTopic","60#1922453");
C=B.fN("tibemsSession_CreateTextMessage","60#1922635");
C=B.fN("tibemsSession_DeleteTemporaryQueue","60#2789068");
C=B.fN("tibemsSession_DeleteTemporaryTopic","60#2519092");
C=B.fN("tibemsSession_GetAcknowledgeMode","60#1922911");
C=B.fN("tibemsSession_GetTransacted","60#2522468");
C=B.fN("tibemsSession_Recover","60#2519670");
C=B.fN("tibemsSession_Rollback","60#1923578");
C=B.fN("tibemsSession_Unsubscribe","60#3289401");
B=A.fN("tibemsAcknowledgeMode","61");
A=P.fN("Chapter\u00a010 Queue Browser","62");
B=A.fN("tibemsQueueBrowser","63");
C=B.fN("tibemsQueueBrowser_Close","63#1941230");
C=B.fN("tibemsQueueBrowser_GetMsgSelector","63#2587639");
C=B.fN("tibemsQueueBrowser_GetNext","63#2535099");
C=B.fN("tibemsQueueBrowser_GetQueue","63#2535896");
A=P.fN("Chapter\u00a011 Name Server Lookup","64");
B=A.fN("tibemsLookupContext","65");
C=B.fN("tibemsLookupContext_Create","65#1936231");
C=B.fN("tibemsLookupContext_CreateExternal","65#2536395");
C=B.fN("tibemsLookupContext_Destroy","65#2536999");
C=B.fN("tibemsLookupContext_Lookup","65#1936026");
B=A.fN("tibemsLookupParams","66");
C=B.fN("tibemsLookupParams_Create","66#2867410");
C=B.fN("tibemsLookupParams_Destroy","66#2538520");
C=B.fN("tibemsLookupParams_GetLdapServerUrl","66#2538879");
C=B.fN("tibemsLookupParams_SetLdapBaseDN","66#2539316");
C=B.fN("tibemsLookupParams_SetLdapCAFile","66#2541392");
C=B.fN("tibemsLookupParams_SetLdapCAPath","66#2541504");
C=B.fN("tibemsLookupParams_SetLdapCertFile","66#2541565");
C=B.fN("tibemsLookupParams_SetLdapCiphers","66#2542391");
C=B.fN("tibemsLookupParams_SetLdapConnType","66#2540835");
C=B.fN("tibemsLookupParams_SetLdapCredential","66#2540182");
C=B.fN("tibemsLookupParams_SetLdapKeyFile","66#2541914");
C=B.fN("tibemsLookupParams_SetLdapPrincipal","66#2539789");
C=B.fN("tibemsLookupParams_SetLdapRandFile","66#2542280");
C=B.fN("tibemsLookupParams_SetLdapSearchScope","66#2540318");
C=B.fN("tibemsLookupParams_SetLdapServerUrl","66#2540070");
A=P.fN("Chapter\u00a012 XA\u2014External Transaction Manager","67");
B=A.fN("tibemsXAConnection","68");
C=B.fN("tibemsXAConnection_Close","68#3115854");
C=B.fN("tibemsXAConnection_Create","68#2674946");
C=B.fN("tibemsXAConnection_CreateXASession","68#3117138");
C=B.fN("tibemsXAConnection_Get","68#2675180");
C=B.fN("tibemsXAConnection_GetXASession","68#2675765");
B=A.fN("XID","69");
B=A.fN("tibemsXAResource","70");
C=B.fN("tibemsXAResource_Commit","70#2676920");
C=B.fN("tibemsXAResource_End","70#2677380");
C=B.fN("tibemsXAResource_Forget","70#2677833");
C=B.fN("tibemsXAResource_GetRMID","70#2677916");
C=B.fN("tibemsXAResource_GetTransactionTimeout","70#2679932");
C=B.fN("tibemsXAResource_isSameRM","70#2678839");
C=B.fN("tibemsXAResource_Prepare","70#2679250");
C=B.fN("tibemsXAResource_Recover","70#2679329");
C=B.fN("tibemsXAResource_Rollback","70#2679816");
C=B.fN("tibemsXAResource_SetRMID","70#2678758");
C=B.fN("tibemsXAResource_SetTransactionTimeout","70#2678770");
C=B.fN("tibemsXAResource_Start","70#2679989");
B=A.fN("tibemsXASession","71");
C=B.fN("tibemsXASession_Close","71#2680722");
C=B.fN("tibemsXASession_GetSession","71#2681119");
C=B.fN("tibemsXASession_GetXAResource","71#2681222");
A=P.fN("Chapter\u00a013 Types","72");
B=A.fN("Uniform Types","73");
A=P.fN("Chapter\u00a014 Utilities","74");
B=A.fN("Utility Functions","75");
C=B.fN("tibems_Close","75#3094628");
C=B.fN("tibems_GetAllowCloseInCallback","75#4091190");
C=B.fN("tibems_GetConnectAttemptCount","75#2009985");
C=B.fN("tibems_GetConnectAttemptDelay","75#2588098");
C=B.fN("tibems_GetConnectAttemptTimeout","75#3288156");
C=B.fN("tibems_GetExceptionOnFTEvents","75#4319251");
C=B.fN("tibems_GetExceptionOnFTSwitch","75#3289745");
C=B.fN("tibems_GetMulticastDaemon","75#4015215");
C=B.fN("tibems_GetMulticastEnabled","75#4015962");
C=B.fN("tibems_GetReconnectAttemptCount","75#2588528");
C=B.fN("tibems_GetReconnectAttemptDelay","75#2588544");
C=B.fN("tibems_GetReconnectAttemptTimeout","75#3288378");
C=B.fN("tibems_GetSocketReceiveBufferSize","75#2024226");
C=B.fN("tibems_GetSocketSendBufferSize","75#2024244");
C=B.fN("tibems_IsConsumerMulticast","75#4016106");
C=B.fN("tibems_Open","75#3265969");
C=B.fN("tibems_SetAllowCloseInCallback","75#4093064");
C=B.fN("tibems_SetConnectAttemptCount","75#3265972");
C=B.fN("tibems_SetConnectAttemptDelay","75#2588217");
C=B.fN("tibems_SetConnectAttemptTimeout","75#3288471");
C=B.fN("tibems_SetExceptionOnFTEvents","75#4320249");
C=B.fN("tibems_setExceptionOnFTSwitch","75#3290013");
C=B.fN("tibems_SetMulticastDaemon","75#4016892");
C=B.fN("tibems_SetMulticastEnabled","75#4017118");
C=B.fN("tibems_SetMulticastExceptionListener","75#4017895");
C=B.fN("tibems_SetReconnectAttemptCount","75#2020592");
C=B.fN("tibems_SetReconnectAttemptDelay","75#2588655");
C=B.fN("tibems_SetReconnectAttemptTimeout","75#3288696");
C=B.fN("tibems_SetSocketReceiveBufferSize","75#2022674");
C=B.fN("tibems_SetSocketSendBufferSize","75#2022376");
C=B.fN("tibems_SetTraceFile","75#3433209");
C=B.fN("tibems_Sleep","75#3433376");
C=B.fN("tibems_Version","75#2589025");
A=P.fN("Chapter\u00a015 Administration","76");
B=A.fN("Administration Overview","77");
B=A.fN("tibemsAdmin","78");
C=B.fN("tibemsAdmin_Close","78#3478628");
C=B.fN("tibemsAdmin_Create","78#3478673");
C=B.fN("tibemsAdmin_GetCommandTimeout","78#3478738");
C=B.fN("tibemsAdmin_GetConsumer","78#3478788");
C=B.fN("tibemsAdmin_GetConsumers","78#3478843");
C=B.fN("tibemsAdmin_GetInfo","78#3478922");
C=B.fN("tibemsAdmin_GetProducerStatistics","78#3478972");
C=B.fN("tibemsAdmin_GetQueue","78#3479040");
C=B.fN("tibemsAdmin_GetQueues","78#3479095");
C=B.fN("tibemsAdmin_GetTopic","78#3479156");
C=B.fN("tibemsAdmin_GetTopics","78#3479211");
C=B.fN("tibemsAdmin_SetCommandTimeout","78#3479272");
C=B.fN("tibemsAdmin_SetExceptionListener","78#3479321");
B=A.fN("tibemsCollection","79");
C=B.fN("tibemsCollection_Destroy","79#3479479");
C=B.fN("tibemsCollection_GetCount","79#3479523");
C=B.fN("tibemsCollection_GetFirst","79#3479573");
C=B.fN("tibemsCollection_GetNext","79#3479623");
B=A.fN("tibemsConsumerInfo","80");
C=B.fN("tibemsConsumerInfo_Destroy","80#3479985");
C=B.fN("tibemsConsumerInfo_GetCreateTime","80#3480029");
C=B.fN("tibemsConsumerInfo_GetCurrentMsgCountSentByServer","80#3480079");
C=B.fN("tibemsConsumerInfo_GetCurrentMsgSizeSentByServer","80#3480128");
C=B.fN("tibemsConsumerInfo_GetDestinationName","80#3480177");
C=B.fN("tibemsConsumerInfo_GetDestinationType","80#3480231");
C=B.fN("tibemsConsumerInfo_GetDetailedStatistics","80#3480280");
C=B.fN("tibemsConsumerInfo_GetDurableName","80#3910264");
C=B.fN("tibemsConsumerInfo_GetElapsedSinceLastAcknowledged","80#3480379");
C=B.fN("tibemsConsumerInfo_GetElapsedSinceLastSent","80#3480428");
C=B.fN("tibemsConsumerInfo_GetID","80#3480477");
C=B.fN("tibemsConsumerInfo_GetPendingMessageCount","80#3480526");
C=B.fN("tibemsConsumerInfo_GetPendingMessageSize","80#3480575");
C=B.fN("tibemsConsumerInfo_GetStatistics","80#3480624");
C=B.fN("tibemsConsumerInfo_GetTotalAcknowledgedCount","80#3480673");
C=B.fN("tibemsConsumerInfo_GetTotalMsgCountSentByServer","80#3480722");
C=B.fN("tibemsConsumerInfo_IsActive","80#3480771");
C=B.fN("tibemsConsumerInfo_IsConnected","80#3480820");
C=B.fN("tibemsConsumerInfo_IsConnectionConsumer","80#3480868");
B=A.fN("tibemsDetailedDestStat","81");
C=B.fN("tibemsDetailedDestStat_GetDestinationName","81#3481053");
C=B.fN("tibemsDetailedDestStat_GetDestinationType","81#3481108");
C=B.fN("tibemsDetailedDestStat_GetStatData","81#3481157");
B=A.fN("tibemsProducerInfo","82");
C=B.fN("tibemsProducerInfo_Destroy","82#3481341");
C=B.fN("tibemsProducerInfo_GetCreateTime","82#3481386");
C=B.fN("tibemsProducerInfo_GetDestinationName","82#3481437");
C=B.fN("tibemsProducerInfo_GetDestinationType","82#3481492");
C=B.fN("tibemsProducerInfo_GetDetailedStatistics","82#3481542");
C=B.fN("tibemsProducerInfo_GetID","82#3481593");
C=B.fN("tibemsProducerInfo_GetStatistics","82#3481643");
B=A.fN("tibemsQueueInfo","83");
C=B.fN("tibemsQueueInfo_Create","83#4000176");
C=B.fN("tibemsQueueInfo_Destroy","83#3956140");
C=B.fN("tibemsQueueInfo_GetDeliveredMessageCount","83#3959967");
C=B.fN("tibemsQueueInfo_GetFlowControlMaxBytes","83#3961387");
C=B.fN("tibemsQueueInfo_GetInboundStatistics","83#3482045");
C=B.fN("tibemsQueueInfo_GetMaxBytes","83#3482094");
C=B.fN("tibemsQueueInfo_GetMaxMsgs","83#3482143");
C=B.fN("tibemsQueueInfo_GetName","83#3482192");
C=B.fN("tibemsQueueInfo_GetOutboundStatistics","83#3482246");
C=B.fN("tibemsQueueInfo_GetOverflowPolicy","83#3482295");
C=B.fN("tibemsQueueInfo_GetPendingMessageCount","83#3482344");
C=B.fN("tibemsQueueInfo_GetPendingMessageSize","83#3482393");
C=B.fN("tibemsQueueInfo_GetReceiverCount","83#3482442");
B=A.fN("tibemsServerInfo","84");
C=B.fN("tibemsServerInfo_Destroy","84#3482596");
C=B.fN("tibemsServerInfo_GetConsumerCount","84#3482641");
C=B.fN("tibemsServerInfo_GetProducerCount","84#3482691");
C=B.fN("tibemsServerInfo_GetQueueCount","84#3482741");
C=B.fN("tibemsServerInfo_GetTopicCount","84#3482791");
B=A.fN("tibemsStatData","85");
C=B.fN("tibemsStatData_GetByteRate","85#3482989");
C=B.fN("tibemsStatData_GetMessageRate","85#3483038");
C=B.fN("tibemsStatData_GetTotalBytes","85#3483087");
C=B.fN("tibemsStatData_GetTotalMessages","85#3483137");
B=A.fN("tibemsTopicInfo","86");
C=B.fN("tibemsTopicInfo_Create","86#4005959");
C=B.fN("tibemsTopicInfo_Destroy","86#3483411");
C=B.fN("tibemsTopicInfo_GetActiveDurableCount","86#3483455");
C=B.fN("tibemsTopicInfo_GetDurableCount","86#3483504");
C=B.fN("tibemsTopicInfo_GetFlowControlMaxBytes","86#3483553");
C=B.fN("tibemsTopicInfo_GetInboundStatistics","86#3483602");
C=B.fN("tibemsTopicInfo_GetMaxBytes","86#3483651");
C=B.fN("tibemsTopicInfo_GetMaxMsgs","86#3483700");
C=B.fN("tibemsTopicInfo_GetName","86#3483749");
C=B.fN("tibemsTopicInfo_GetOutboundStatistics","86#3483803");
C=B.fN("tibemsTopicInfo_GetOverflowPolicy","86#3483852");
C=B.fN("tibemsTopicInfo_GetPendingMessageCount","86#3483901");
C=B.fN("tibemsTopicInfo_GetPendingMessageSize","86#3483950");
C=B.fN("tibemsTopicInfo_GetSubscriberCount","86#3483999");
A=P.fN("Chapter\u00a016 Exception","87");
B=A.fN("tibems_status","88");
C=B.fN("tibemsStatus_GetText","88#2574962");
B=A.fN("tibemsErrorContext","89");
C=B.fN("tibemsErrorContext_Create","89#3177907");
C=B.fN("tibemsErrorContext_Close","89#3178556");
C=B.fN("tibemsErrorContext_GetLastErrorString","89#3178609");
C=B.fN("tibemsErrorContext_GetLastErrorStackTrace","89#3177924");
A=P.fN("Chapter\u00a017 IBM Mainframe","90");
B=A.fN("IBM Mainframe Calls","91");
C=B.fN("tibems_SetCodePages()","91#3116208");
C=B.fN("tibx_MVSConsole_SetConsumer()","91#3103366");
C=B.fN("tibx_MVSConsole_Create()","91#3104621");
B=A.fN("Console_Response","92");
}
